Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePipeline LifecyclePOST /v0/pipelines/{pipeline_name}/dismiss_error

Dismiss Pipeline Deployment Error

POST/v0/pipelines/{pipeline_name}/dismiss_errorPipeline Lifecycle

Try it

POST/v0/pipelines/{pipeline_name}/dismiss_error
Authentication
Parameters

Clears the deployment_error field of the pipeline, such that a subsequent call to /start?dismiss_error=false succeeds. It will return an error if the pipeline is not fully stopped (i.e., both current and desired status must be Stopped) AND a deployment error is present.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Deployment error has been dismissed
400Action could not be performedapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X POST 'https://api.example.com/v0/pipelines/{pipeline_name}/dismiss_error' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown pipeline name 'non-existent-pipeline'", "error_code": "UnknownPipelineName", "details": { "pipeline_name": "non-existent-pipeline" } }